<div class="full-width flex-fixed-size">
  <div
    class="container-border container-background-color m-b-10 flex-row full-width"
  >
    <div class="full-width overflow-hidden">
      <div class="flex-row header-toolbar-grid m-b-5 m-t-5">
        <div class="session-note-info flex full-width">
          @if (note.expanded) {
            <i
              [attr.data-test-element-id]="'collapse'"
              class="m-r-10 m-l-8"
              nz-icon
              nzType="caret-down"
              nzTheme="outline"
              (click)="collapseNote()"
            ></i>
          } @else {
            <i
              [attr.data-test-element-id]="'expand'"
              class="m-r-10 m-l-8"
              nz-icon
              nzType="caret-right"
              nzTheme="outline"
              (click)="expandNote()"
            ></i>
          }

          <div
            class="note-kind flex m-r-10"
            [style.background-color]="getKindBackgroundColor()"
            [style.border-color]="getKindBorderColor()"
          >
            <span class="m-l-2 m-r-2" [style.color]="getKindTextColor()">
              {{ getKindI18nKey() | translate }}
            </span>
          </div>

          <sqtm-core-auditable-field
            [date]="lastModificationDate"
            [userName]="lastModificationUser"
          >
          </sqtm-core-auditable-field>

          @if (getUploadedAttachmentsCount(); as attachmentCount) {
            <div class="info-icon counter-icon-container m-l-10">
              <i
                nz-icon
                nzType="sqtm-core-generic:attachments"
                nzTheme="outline"
              ></i>
              <div class="flex">
                <span
                  class="counter"
                  [attr.data-test-element-id]="'attachment-counter'"
                >
                  {{ attachmentCount }}
                </span>
              </div>
            </div>
          }
          @if (issues.length > 0) {
            <div class="info-icon counter-icon-container m-l-10">
              <i
                nz-icon
                nzType="sqtm-core-generic:issues"
                nzTheme="outline"
              ></i>
              <div class="flex">
                <span
                  class="counter"
                  [attr.data-test-element-id]="'issue-counter'"
                >
                  {{ issues.length }}</span
                >
              </div>
            </div>
          }
        </div>
      </div>

      @if (note.expanded) {
        <div
          class="m-b-10 note-content block-border m-l-15 m-r-20 p-l-20"
          [innerHTML]="note.noteContent | safeRichContent"
        ></div>
      } @else {
        <div
          class="m-x-10 m-b-10 note-content collapsed-note-content"
          [innerHTML]="note.noteContent"
        ></div>
      }

      @if (note.expanded && note.attachmentList.attachments.ids.length > 0) {
        <div>
          <div class="m-t-15 m-b-5 m-l-10 header-typography">
            {{ 'sqtm-core.entity.attachment.label.long.plural' | translate }}
          </div>
          <div class="block-border p-l-10 m-l-15 m-t-10 m-b-10">
            <sqtm-core-attachment-list-compact
              [attachments]="getAttachments(note)"
              [attachmentListId]="note.attachmentList.id"
              [canAttach]="false"
            >
            </sqtm-core-attachment-list-compact>
          </div>
        </div>
      }

      @if (note.expanded && issues.length > 0) {
        <div>
          <div class="m-t-15 m-b-5 m-l-10 header-typography">
            {{ 'sqtm-core.entity.issue.label.plural' | translate }}
          </div>
          <div class="block-border p-l-10 m-l-15 m-t-10 m-b-10">
            <sqtm-core-issue-list-compact
              [issues]="issues"
              [canDelete]="false"
            ></sqtm-core-issue-list-compact>
          </div>
        </div>
      }
    </div>
  </div>
</div>
